Saltar al contenido principal
PUT
/
api
/
v2
/
dashboards
/
{id}
Actualizar panel
curl --request PUT \
  --url https://api.hyperdx.io/api/v2/dashboards/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Updated Dashboard Name",
  "tags": [
    "production",
    "updated"
  ],
  "tiles": [
    {
      "asRatio": false,
      "h": 3,
      "id": "65f5e4a3b9e77c001a901234",
      "name": "Updated Time Series Chart",
      "series": [
        {
          "aggFn": "count",
          "dataSource": "events",
          "groupBy": [],
          "type": "time",
          "where": "level:error"
        }
      ],
      "w": 6,
      "x": 0,
      "y": 0
    },
    {
      "asRatio": false,
      "h": 3,
      "name": "New Number Chart",
      "series": [
        {
          "aggFn": "count",
          "dataSource": "events",
          "type": "number",
          "where": "level:info"
        }
      ],
      "w": 6,
      "x": 6,
      "y": 0
    }
  ]
}
'
import requests

url = "https://api.hyperdx.io/api/v2/dashboards/{id}"

payload = {
    "name": "Updated Dashboard Name",
    "tags": ["production", "updated"],
    "tiles": [
        {
            "asRatio": False,
            "h": 3,
            "id": "65f5e4a3b9e77c001a901234",
            "name": "Updated Time Series Chart",
            "series": [
                {
                    "aggFn": "count",
                    "dataSource": "events",
                    "groupBy": [],
                    "type": "time",
                    "where": "level:error"
                }
            ],
            "w": 6,
            "x": 0,
            "y": 0
        },
        {
            "asRatio": False,
            "h": 3,
            "name": "New Number Chart",
            "series": [
                {
                    "aggFn": "count",
                    "dataSource": "events",
                    "type": "number",
                    "where": "level:info"
                }
            ],
            "w": 6,
            "x": 6,
            "y": 0
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: 'Updated Dashboard Name',
    tags: ['production', 'updated'],
    tiles: [
      {
        asRatio: false,
        h: 3,
        id: '65f5e4a3b9e77c001a901234',
        name: 'Updated Time Series Chart',
        series: [
          {
            aggFn: 'count',
            dataSource: 'events',
            groupBy: [],
            type: 'time',
            where: 'level:error'
          }
        ],
        w: 6,
        x: 0,
        y: 0
      },
      {
        asRatio: false,
        h: 3,
        name: 'New Number Chart',
        series: [{aggFn: 'count', dataSource: 'events', type: 'number', where: 'level:info'}],
        w: 6,
        x: 6,
        y: 0
      }
    ]
  })
};

fetch('https://api.hyperdx.io/api/v2/dashboards/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "id": "65f5e4a3b9e77c001a567890",
    "name": "Updated Dashboard Name",
    "tags": [
      "production",
      "updated"
    ],
    "tiles": [
      {
        "asRatio": false,
        "h": 3,
        "id": "65f5e4a3b9e77c001a901234",
        "name": "Updated Time Series Chart",
        "series": [
          {
            "aggFn": "count",
            "dataSource": "events",
            "groupBy": [],
            "type": "time",
            "where": "level:error"
          }
        ],
        "w": 6,
        "x": 0,
        "y": 0
      },
      {
        "asRatio": false,
        "h": 3,
        "id": "65f5e4a3b9e77c001a901236",
        "name": "New Number Chart",
        "series": [
          {
            "aggFn": "count",
            "dataSource": "events",
            "type": "number",
            "where": "level:info"
          }
        ],
        "w": 6,
        "x": 6,
        "y": 0
      }
    ]
  }
}
{
  "message": "Unauthorized access. API key is missing or invalid."
}
{
  "message": "Dashboard not found"
}
{
  "message": "Invalid dashboard configuration"
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parámetros de ruta

id
string
requerido

ID del panel

Cuerpo

application/json
name
string
Ejemplo:

"Updated Dashboard Name"

tags
string[]
Ejemplo:
["production", "updated"]
tiles
object[]

Respuesta

Panel actualizado correctamente

data
object
Última modificación el 10 de junio de 2026